Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# paragui_types.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | MSG_MESSAGE
struct | SDL_Gradient
struct | SDL_Point
## Defines
#define | PARAGUI_CALLBACK(funcname)
## Typedefs
typedef unsigned long | MSG_ID
typedef unsigned long | MSG_DATA
typedef enum _MSG_TYPE | MSG_TYPE
typedef bool (* | MSG_CALLBACK )(int id, SDLWidget* widget, unsigned long data, void *clientdata)
## Enumerations
enum | _MSG_TYPE { MSG_BUTTONCLICK, MSG_SCROLLPOS, MSG_SCROLLTRACK, MSG_SLIDE = MSG_SCROLLTRACK, MSG_THREAD_SIGNAL, MSG_SIGNAL, MSG_QUIT, MSG_EDITBEGIN, MSG_EDITEND, MSG_APPIDLE, MSG_SELECTITEM }

## Define Documentation

#define PARAGUI_CALLBACK( | funcname )

| Initializer:
    \
    bool funcname (int id, SDLWidget* widget, unsigned long data, void *clientdata)
Examples: tut3.cpp, and tut4.cpp. Definition at line 83 of file paragui_types.h.

## Typedef Documentation

typedef bool (* MSG_CALLBACK)(int id, SDLWidget* widget, unsigned long data, void *clientdata)

| Definition at line 86 of file paragui_types.h.

typedef unsigned long MSG_DATA

| Definition at line 67 of file paragui_types.h.

typedef unsigned long MSG_ID

| Definition at line 66 of file paragui_types.h.

typedef enum _MSG_TYPE MSG_TYPE

## Enumeration Type Documentation

enum _MSG_TYPE

  | Enumeration values:
  MSG_BUTTONCLICK |
  MSG_SCROLLPOS |
  MSG_SCROLLTRACK |
  MSG_SLIDE |
  MSG_THREAD_SIGNAL |
  MSG_SIGNAL |
  MSG_QUIT |
  MSG_EDITBEGIN |
  MSG_EDITEND |
  MSG_APPIDLE |
  MSG_SELECTITEM |
Definition at line 69 of file paragui_types.h.